Skip to main content
GET
/
io.pocketenv.actor.getProfile
Get the profile of an actor
curl --request GET \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.actor.getProfile \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "did": "<string>",
  "handle": "<string>",
  "displayName": "<string>",
  "avatar": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

did
string<at-identifier>

The DID or handle of the actor

Response

OK

id
string

The unique identifier of the actor.

did
string

The DID of the actor.

handle
string

The handle of the actor.

displayName
string

The display name of the actor.

avatar
string<uri>

The URL of the actor's avatar image.

createdAt
string<date-time>

The date and time when the actor was created.

updatedAt
string<date-time>

The date and time when the actor was last updated.